libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
sigc::bound_const_mem_functor0< T_return, T_obj > Class Template Reference
mem_fun()

bound_const_mem_functor0 encapsulates a const method with 0 arguments and an object instance. More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_const_mem_functor0< T_return, T_obj >:
[legend]

List of all members.

## Public Types

typedef base_type_::function_type | function_type
Public Types inherited from sigc::const_mem_functor0< T_return, T_obj >
typedef T_return | result_type

## Public Member Functions

| bound_const_mem_functor0 (const T_obj* _A_obj, function_type _A_func)
| Constructs a bound_const_mem_functor0 object that wraps the passed method.
| bound_const_mem_functor0 (const T_obj& _A_obj, function_type _A_func)
| Constructs a bound_const_mem_functor0 object that wraps the passed method.
T_return | operator() () const
| Execute the wrapped method operating on the stored instance.
Public Member Functions inherited from sigc::const_mem_functor0< T_return, T_obj >
| const_mem_functor0 ()
| Constructs an invalid functor.
| const_mem_functor0 (function_type _A_func)
| Constructs a const_mem_functor0 object that wraps the passed method.
T_return | operator() (const T_obj* _A_obj) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (const T_obj& _A_obj) const
| Execute the wrapped method operating on the passed instance.

## Public Attributes

const_limit_reference< T_obj > | obj_

## Additional Inherited Members

Protected Attributes inherited from sigc::const_mem_functor0< T_return, T_obj >
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj>
class sigc::bound_const_mem_functor0< T_return, T_obj >

bound_const_mem_functor0 encapsulates a const method with 0 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_const_mem_functor0.

The following template arguments are used:

- T_return The return type of operator()().
- T_obj The object type.

## Constructor & Destructor Documentation

template <class T_return , class T_obj >

sigc::bound_const_mem_functor0< T_return, T_obj >::bound_const_mem_functor0 | ( | const T_obj * | _A_obj,
|  | function_type | _A_func
| ) |  |

inline

Constructs a bound_const_mem_functor0 object that wraps the passed method.

Parameters:

  _A_obj | Pointer to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

template <class T_return , class T_obj >

sigc::bound_const_mem_functor0< T_return, T_obj >::bound_const_mem_functor0 | ( | const T_obj & | _A_obj,
|  | function_type | _A_func
| ) |  |

inline

Constructs a bound_const_mem_functor0 object that wraps the passed method.

Parameters:

  _A_obj | Reference to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj >

T_return sigc::bound_const_mem_functor0< T_return, T_obj >::operator() | ( |  | ) | const

inline

Execute the wrapped method operating on the stored instance.

Returns:
  The return value of the method invocation.